Package com.fasterxml.jackson.annotation

# Class ObjectIdGenerators

java.lang.Object
com.fasterxml.jackson.annotation.ObjectIdGenerators

public class ObjectIdGenerators extends Object
Container class for standard `ObjectIdGenerator` implementations:

- `ObjectIdGenerators.IntSequenceGenerator`
- `ObjectIdGenerators.PropertyGenerator`
- `ObjectIdGenerators.StringIdGenerator` (since 2.7)
- `ObjectIdGenerators.UUIDGenerator`

NOTE: `ObjectIdGenerators.PropertyGenerator` applicability is limited in one case: it can only be used on polymorphic base types (ones indicated using `JsonTypeInfo` or default typing) via class annotations: property annotation will fail due to lack of access to property, needed to determine type of Object Id for deserialization. This limitation may be lifted in future versions but it is the limitation at least up to and including Jackson 2.9.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`ObjectIdGenerators.IntSequenceGenerator`
Simple sequence-number based generator, which uses basic Java `int`s (starting with value 1) as Object Identifiers.
`static class`
`ObjectIdGenerators.None`
Abstract marker class used to allow explicitly specifying that no generator is used; which also implies that no Object Id is to be included or used.
`static class`
`ObjectIdGenerators.PropertyGenerator`
Abstract place-holder class which is used to denote case where Object Identifier to use comes from a POJO property (getter method or field).
`static final class`
`ObjectIdGenerators.StringIdGenerator`
Implementation that will accept arbitrary (but unique) String Ids on deserialization, and (by default) use random UUID generation similar to `ObjectIdGenerators.UUIDGenerator` for generation ids.
`static final class`
`ObjectIdGenerators.UUIDGenerator`
Implementation that just uses `UUID`s as reliably unique identifiers: downside is that resulting String is 36 characters long.

## Constructor Summary

Constructors
Constructor
Description
`ObjectIdGenerators()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ObjectIdGenerators

public ObjectIdGenerators()